## Index

### Classes

- URL
- URLSearchParams

### Interfaces

- URLFormatOptions
- Url
- UrlObject
- UrlObjectCommon
- UrlWithParsedQuery
- UrlWithStringQuery

### Functions

- domainToASCII
- domainToUnicode
- fileURLToPath
- format
- parse
- pathToFileURL
- resolve

## Functions

### domainToASCII

- domainToASCII(domain: string): string

- - Defined in node_modules/@types/node/url.d.ts:46

  #### Parameters

  - ##### domain: string

  #### Returns string

### domainToUnicode

- domainToUnicode(domain: string): string

- - Defined in node_modules/@types/node/url.d.ts:47

  #### Parameters

  - ##### domain: string

  #### Returns string

### fileURLToPath

- fileURLToPath(url: string | URL): string

- - Defined in node_modules/@types/node/url.d.ts:54

  This function ensures the correct decodings of percent-encoded characters as well as ensuring a cross-platform valid absolute path string.

  #### Parameters

  - ##### url: string | URL

    The file URL string or URL object to convert to a path.

  #### Returns string

### format

- format(URL: URL, options?: URLFormatOptions): string
- format(urlObject: UrlObject | string): string

- - Defined in node_modules/@types/node/url.d.ts:42

  #### Parameters

  - ##### URL: URL

  - ##### Optional options: URLFormatOptions

  #### Returns string

- - Defined in node_modules/@types/node/url.d.ts:43

  #### Parameters

  - ##### urlObject: UrlObject | string

  #### Returns string

### parse

- parse(urlStr: string): UrlWithStringQuery
- parse(urlStr: string, parseQueryString: false | undefined, slashesDenoteHost?: undefined | false | true): UrlWithStringQuery
- parse(urlStr: string, parseQueryString: true, slashesDenoteHost?: undefined | false | true): UrlWithParsedQuery
- parse(urlStr: string, parseQueryString: boolean, slashesDenoteHost?: undefined | false | true): Url

- - Defined in node_modules/@types/node/url.d.ts:37

  #### Parameters

  - ##### urlStr: string

  #### Returns UrlWithStringQuery

- - Defined in node_modules/@types/node/url.d.ts:38

  #### Parameters

  - ##### urlStr: string

  - ##### parseQueryString: false | undefined

  - ##### Optional slashesDenoteHost: undefined | false | true

  #### Returns UrlWithStringQuery

- - Defined in node_modules/@types/node/url.d.ts:39

  #### Parameters

  - ##### urlStr: string

  - ##### parseQueryString: true

  - ##### Optional slashesDenoteHost: undefined | false | true

  #### Returns UrlWithParsedQuery

- - Defined in node_modules/@types/node/url.d.ts:40

  #### Parameters

  - ##### urlStr: string

  - ##### parseQueryString: boolean

  - ##### Optional slashesDenoteHost: undefined | false | true

  #### Returns Url

### pathToFileURL

- pathToFileURL(url: string): URL

- - Defined in node_modules/@types/node/url.d.ts:61

  This function ensures that path is resolved absolutely, and that the URL control characters are correctly encoded when converting into a File URL.

  #### Parameters

  - ##### url: string

    The path to convert to a File URL.

  #### Returns URL

### resolve

- resolve(from: string, to: string): string

- - Defined in node_modules/@types/node/url.d.ts:44

  #### Parameters

  - ##### from: string

  - ##### to: string

  #### Returns string

Generated using TypeDoc